Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.support.igd.callback
Class PortMappingAdd

    java.lang.Object
      org.teleal.cling.controlpoint.ActionCallback
          org.teleal.cling.support.igd.callback.PortMappingAdd

All Implemented Interfaces:
  Runnable

    public abstract class PortMappingAdd

extends org.teleal.cling.controlpoint.ActionCallback

Author:
  Christian Bauer

Nested Class Summary

Nested classes/interfaces inherited from class org.teleal.cling.controlpoint.ActionCallback
`org.teleal.cling.controlpoint.ActionCallback.Default`

Field Summary
`protected PortMapping` | `portMapping`

Fields inherited from class org.teleal.cling.controlpoint.ActionCallback
`actionInvocation, controlPoint`

Constructor Summary
`protected` | `PortMappingAdd(org.teleal.cling.model.meta.Service service, org.teleal.cling.controlpoint.ControlPoint controlPoint, PortMapping portMapping)`
`` | `PortMappingAdd(org.teleal.cling.model.meta.Service service, PortMapping portMapping)`

Method Summary

Methods inherited from class org.teleal.cling.controlpoint.ActionCallback
`createDefaultFailureMessage, failure, failure, getActionInvocation, getControlPoint, run, setControlPoint, success, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### portMapping

    protected final PortMapping portMapping

Constructor Detail

### PortMappingAdd

    public PortMappingAdd(org.teleal.cling.model.meta.Service service,
                          PortMapping portMapping)

### PortMappingAdd

    protected PortMappingAdd(org.teleal.cling.model.meta.Service service,
                             org.teleal.cling.controlpoint.ControlPoint controlPoint,
                             PortMapping portMapping)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 Teleal GmbH, Switzerland. All Rights Reserved.